Apple Search Ads

RSS for tag

Help potential customers discover your app on the App Store with Apple Search Ads.

Posts under Apple Search Ads tag

160 Posts

Post

Replies

Boosts

Views

Activity

Put request apple search ads Invalid input Python
I'm trying to change the daily budget on my apple search ads campaign. I can correctly make get requests to the server with response code [200] but each time I try to make put requests I'm told my format is incorrect. The documentation seems unclear on this and I was hoping someone would help format a put request for me. The language I'm making my requests in is python.
0
0
941
Aug ’22
Apple Search Ads API Documentation v4+
Hi everyone, I am trying to find Apple Search Ads API Documentation for v4+ with API Fields References, as I am unable to find the whole list and only Apple Search Ads Documentation Page (https://developer.apple.com/documentation/apple_search_ads) which does provide some of it, but somewhat hard to navigate to find all the fields that exists in the API. I was wondering if there is a way to get them all in a PDF format or something similar. Kind regards, Elias
0
0
1k
Aug ’22
Don't show ATT consent prompt to Apple Search Ads users
Hi, we are looking to launch our app really soon and we are having debates whether enable ATT or not. On one hand, ATT tracking is significant for our paid campaigns success. On the other hand, we don't want our users to get the feeling they are being tracked. So I wonder, if we can disable ATT consent prompt to Apple Search Ads users only. I mean, we're still getting attribution from App Store for ASA, so why not disable the popup... Does anyone know if you can somehow disable ATT per specific media channels? Thanks in advance
0
0
1.5k
Jun ’22
Authentification Error
I am using the Search ads Apple's API to get some information. To Authenticate I have used PEM and key but they expired. I have download the new certificates following this doc: https://searchads.apple.com/asadam/us/en_us/documents/help/0022-use-the-campaign-management-api/Apple-Search-Ads-API-3.0.pdf but it didn't work, I still have the error 401 - UNAUTHORIZED can you help me? DEBUG:urllib3.connectionpool:https://api.searchads.apple.com:443 "GET /api/v3/campaigns HTTP/1.1" 401 164 {"data":null,"pagination":null,"error":{"errors":[{"messageCode":"UNAUTHORIZED","message":"Expired certificate: abe4b202-fcb4-4266-835d-13076705b92f","field":""}]}}
1
0
1.2k
Jun ’22
ORTZ time zone
Hello!When I researched Reporting Request documentation (ref: https://developer.apple.com/library/content/documentation/General/Conceptual/AppStoreSearchAdsAPIReference/Reporting_Requests.html), I found ORTZ timezone which is used for Dashboard and Reporting.What is ORTZ timezone? Which countries/states do it use?
2
0
3.0k
May ’22
Ads not getting any impressions
Hello, We've been successfully running ads targeting a competitor in an ad group that included a handful of countries. The keywords performed really well in the US market (CPA $0.46), however, when creating separated categories only targeting individual key markets with the same keywords the impressions are zero or less than 100. I receive a boilerplate email from the Search Ads team with a few possible explanations on why it performed so poorly but none of them make sense since they performed really well in another group. I've also adjusted the CTP up and down but it made no difference whatsoever. When searching for the competitors' apps in App Store 9/10 times no ads for any apps appear on top of it, which I find strange given that the app is top 5 in the social media category. Any suggestions on what might be going on here? /Martin
0
0
1.6k
May ’22
jeton de bypss
si je fait le backup sur mon Iphone sur une programme il ya une dossier qui est cree le nom du dossier et l'indetite de mon Iphone soit SerialNumber ou DeviceID alors je besion de modifier des fichiers crees comme activation_record je peut modifier la ligne ActivationRandomness
0
0
979
May ’22
Receiving "invalid_client" while trying to retrieve token (Search Ads API)
Hello! I'm using this article to receive the token to get access to the API. I created new Apple ID, set up Search Ads, and invite this new user from my main account (with access to ads/campaigns) with shared access to data through API. In parallel I generated two keys (private and public) and uploaded public key. So, I got clientId, teamId and keyId. Don't know why, but clientId and teamId in my case are the same. Then I used Python example from docs to create JWT token (or client_secret). I got client_secret and then tried to send POST request to get access_token. I used CURL from example (with my data): curl -X POST -H 'Host: appleid.apple.com' -H 'Content-Type: application/x-www-form-urlencoded' https://appleid.apple.com/auth/oauth2/token?grant_type=client_credentials& client_id=id_here&client_secret=jwt_here&scope=searchadsorg But I always receives 400 error: {     "error": "invalid_client" } How to fix it? Did I miss something?
3
0
3.9k
Apr ’22
SearchAds JWT error invalid_client
I did everything like in this tutorial : https://developer.apple.com/documentation/apple_search_ads/implementing_oauth_for_the_apple_search_ads_api But it does not work, when I generate a client secret and use it in curl to request an access token like this : curl -X POST -H 'Host: appleid.apple.com' -H 'Content-Type: application/x-www-form-urlencoded' 'https://appleid.apple.com/auth/oauth2/token?grant_type=client_credentials&client_id=SEARCHADS.XXXXXXX&client_secret=XXXXXXXXXX&scope=searchadsorg' I got {"error":"invalid_client"} the createclientsecret is like this: import jwt import datetime as dt client_id = "SEARCHADS.XXXXXXXXXX" team_id = "SEARCHADS.XXXXXXXXXX" key_id = "XXXXXXXXXX" audience = "https://appleid.apple.com" alg = "ES256" # Define issue timestamp. issued_at_timestamp = int(dt.datetime.utcnow().timestamp()) # Define expiration timestamp. May not exceed 180 days from issue timestamp. expiration_timestamp = issued_at_timestamp + 86400 * 180 # Define JWT headers. headers = dict() headers["alg"] = alg headers["kid"] = key_id # Define JWT payload. payload = dict() payload["sub"] = client_id payload["aud"] = audience payload["iat"] = issued_at_timestamp payload["exp"] = expiration_timestamp payload["iss"] = team_id # Path to signed private key. KEY_FILE = "privateKey/private-key.pem" with open(KEY_FILE, "r") as key_file: key = "".join(key_file.readlines()) client_secret = jwt.encode(payload=payload, headers=headers, algorithm=alg, key=key) with open("client_secret.txt", "w") as output: output.write(client_secret.decode("utf-8")) Please help me I stuck since 3 days
1
0
1.1k
Apr ’22
Can't add card to search ads
So as Apple has just released their Search Advertising network I tried to set up my account but I'm encountering this error when trying to add my visa credit card (all correct details) "Error saving credit card information. Try again later." Does anyone else have this issue or know how it can be fixed?
55
1
24k
Mar ’22
Put request apple search ads Invalid input Python
I'm trying to change the daily budget on my apple search ads campaign. I can correctly make get requests to the server with response code [200] but each time I try to make put requests I'm told my format is incorrect. The documentation seems unclear on this and I was hoping someone would help format a put request for me. The language I'm making my requests in is python.
Replies
0
Boosts
0
Views
941
Activity
Aug ’22
Apple Search Ads API Documentation v4+
Hi everyone, I am trying to find Apple Search Ads API Documentation for v4+ with API Fields References, as I am unable to find the whole list and only Apple Search Ads Documentation Page (https://developer.apple.com/documentation/apple_search_ads) which does provide some of it, but somewhat hard to navigate to find all the fields that exists in the API. I was wondering if there is a way to get them all in a PDF format or something similar. Kind regards, Elias
Replies
0
Boosts
0
Views
1k
Activity
Aug ’22
I cannot register apple search ads
I cannot register apple search ads. when i go to https://app.searchads.apple.com and tap start it show "We're sorry. We can't find the page you're looking for. Please return to the Apple Search Ads home page." Could anyone know how to fix and register apple search ads ? Best Regards, Washu00
Replies
0
Boosts
0
Views
1.4k
Activity
Jul ’22
Don't show ATT consent prompt to Apple Search Ads users
Hi, we are looking to launch our app really soon and we are having debates whether enable ATT or not. On one hand, ATT tracking is significant for our paid campaigns success. On the other hand, we don't want our users to get the feeling they are being tracked. So I wonder, if we can disable ATT consent prompt to Apple Search Ads users only. I mean, we're still getting attribution from App Store for ASA, so why not disable the popup... Does anyone know if you can somehow disable ATT per specific media channels? Thanks in advance
Replies
0
Boosts
0
Views
1.5k
Activity
Jun ’22
Authentification Error
I am using the Search ads Apple's API to get some information. To Authenticate I have used PEM and key but they expired. I have download the new certificates following this doc: https://searchads.apple.com/asadam/us/en_us/documents/help/0022-use-the-campaign-management-api/Apple-Search-Ads-API-3.0.pdf but it didn't work, I still have the error 401 - UNAUTHORIZED can you help me? DEBUG:urllib3.connectionpool:https://api.searchads.apple.com:443 "GET /api/v3/campaigns HTTP/1.1" 401 164 {"data":null,"pagination":null,"error":{"errors":[{"messageCode":"UNAUTHORIZED","message":"Expired certificate: abe4b202-fcb4-4266-835d-13076705b92f","field":""}]}}
Replies
1
Boosts
0
Views
1.2k
Activity
Jun ’22
ORTZ time zone
Hello!When I researched Reporting Request documentation (ref: https://developer.apple.com/library/content/documentation/General/Conceptual/AppStoreSearchAdsAPIReference/Reporting_Requests.html), I found ORTZ timezone which is used for Dashboard and Reporting.What is ORTZ timezone? Which countries/states do it use?
Replies
2
Boosts
0
Views
3.0k
Activity
May ’22
Ads not getting any impressions
Hello, We've been successfully running ads targeting a competitor in an ad group that included a handful of countries. The keywords performed really well in the US market (CPA $0.46), however, when creating separated categories only targeting individual key markets with the same keywords the impressions are zero or less than 100. I receive a boilerplate email from the Search Ads team with a few possible explanations on why it performed so poorly but none of them make sense since they performed really well in another group. I've also adjusted the CTP up and down but it made no difference whatsoever. When searching for the competitors' apps in App Store 9/10 times no ads for any apps appear on top of it, which I find strange given that the app is top 5 in the social media category. Any suggestions on what might be going on here? /Martin
Replies
0
Boosts
0
Views
1.6k
Activity
May ’22
jeton de bypss
si je fait le backup sur mon Iphone sur une programme il ya une dossier qui est cree le nom du dossier et l'indetite de mon Iphone soit SerialNumber ou DeviceID alors je besion de modifier des fichiers crees comme activation_record je peut modifier la ligne ActivationRandomness
Replies
0
Boosts
0
Views
979
Activity
May ’22
Receiving "invalid_client" while trying to retrieve token (Search Ads API)
Hello! I'm using this article to receive the token to get access to the API. I created new Apple ID, set up Search Ads, and invite this new user from my main account (with access to ads/campaigns) with shared access to data through API. In parallel I generated two keys (private and public) and uploaded public key. So, I got clientId, teamId and keyId. Don't know why, but clientId and teamId in my case are the same. Then I used Python example from docs to create JWT token (or client_secret). I got client_secret and then tried to send POST request to get access_token. I used CURL from example (with my data): curl -X POST -H 'Host: appleid.apple.com' -H 'Content-Type: application/x-www-form-urlencoded' https://appleid.apple.com/auth/oauth2/token?grant_type=client_credentials& client_id=id_here&client_secret=jwt_here&scope=searchadsorg But I always receives 400 error: {     "error": "invalid_client" } How to fix it? Did I miss something?
Replies
3
Boosts
0
Views
3.9k
Activity
Apr ’22
SearchAds JWT error invalid_client
I did everything like in this tutorial : https://developer.apple.com/documentation/apple_search_ads/implementing_oauth_for_the_apple_search_ads_api But it does not work, when I generate a client secret and use it in curl to request an access token like this : curl -X POST -H 'Host: appleid.apple.com' -H 'Content-Type: application/x-www-form-urlencoded' 'https://appleid.apple.com/auth/oauth2/token?grant_type=client_credentials&client_id=SEARCHADS.XXXXXXX&client_secret=XXXXXXXXXX&scope=searchadsorg' I got {"error":"invalid_client"} the createclientsecret is like this: import jwt import datetime as dt client_id = "SEARCHADS.XXXXXXXXXX" team_id = "SEARCHADS.XXXXXXXXXX" key_id = "XXXXXXXXXX" audience = "https://appleid.apple.com" alg = "ES256" # Define issue timestamp. issued_at_timestamp = int(dt.datetime.utcnow().timestamp()) # Define expiration timestamp. May not exceed 180 days from issue timestamp. expiration_timestamp = issued_at_timestamp + 86400 * 180 # Define JWT headers. headers = dict() headers["alg"] = alg headers["kid"] = key_id # Define JWT payload. payload = dict() payload["sub"] = client_id payload["aud"] = audience payload["iat"] = issued_at_timestamp payload["exp"] = expiration_timestamp payload["iss"] = team_id # Path to signed private key. KEY_FILE = "privateKey/private-key.pem" with open(KEY_FILE, "r") as key_file: key = "".join(key_file.readlines()) client_secret = jwt.encode(payload=payload, headers=headers, algorithm=alg, key=key) with open("client_secret.txt", "w") as output: output.write(client_secret.decode("utf-8")) Please help me I stuck since 3 days
Replies
1
Boosts
0
Views
1.1k
Activity
Apr ’22
Can't add card to search ads
So as Apple has just released their Search Advertising network I tried to set up my account but I'm encountering this error when trying to add my visa credit card (all correct details) "Error saving credit card information. Try again later." Does anyone else have this issue or know how it can be fixed?
Replies
55
Boosts
1
Views
24k
Activity
Mar ’22